### Constructor

# GimpUi PathEditor new

#### Declaration [src]

    GtkWidget*
    gimp_path_editor_new (
      const gchar* title,
      const gchar* path
    )

#### Description [src]

Creates a new `GimpPathEditor` widget.

The elements of the initial search path must be separated with the

# G_SEARCHPATH_SEPARATOR character.

#### Parameters

`title` | `const gchar*`
| The title of the `GtkFileChooser` dialog which can be popped up.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`path` | `const gchar*`
| The initial search path.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A pointer to the new `GimpPathEditor` widget.
| The data is owned by the called function.